Support » Plugin: ShareThis Dashboard for Google Analytics » Sintax error in last version

  • Hello,
    When I update from 2.1.4 to last version (2.5.0.) the web is broken and I only see this error:

    Parse error: syntax error, unexpected ‘[‘ in /usr/home/losdocerobles.com/web/wp-content/plugins/googleanalytics/tools/class-support-logging.php on line 83

    What do you think is the reason?
    Perhaps could be that PHP version is old (now we have the 5.3.29-1). I have to update it, but I need to have your opinion about it could be the reason. I have to inform the customer that it is the fix, before doing it.

    Thank you

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author ShareThis

    (@sharethis)

    @ferchup You are correct and we apologize for including a syntax that is not backwards compatible. If you upgrade their PHP version to 7 the error will go away. We will most likely change that syntax in an upcoming release, but for now your quickest route would be the PHP upgrade. Let us know if you have any issues with that. Thanks so much!

    Plugin Author ShareThis

    (@sharethis)

    Heads up @ferchup version 2.5.1 has the old array syntax again and if you haven’t already updated PHP the error should still go away now.

Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.